<script>
	import system_util from './until/system_util'
	import ttsUtils from './until/tts/ttsUtils'
	export default {
		onLaunch: function() {
			console.log('App Launch')
		},
		onShow: async function() {
			console.log('App Show')
			await system_util.getCurrentPlatform()
			ttsUtils.init()
			var screenWidth = 0
			var screenHeight = 0
			uni.getSystemInfo({
				success: (res) => {
					screenHeight = res.screenHeight
					screenWidth = res.screenWidth
					console.log(screenHeight, screenWidth)
				}
			})
			if (screenHeight == 768 && screenWidth == 1024) {
				uni.redirectTo({
					url: '/pages/index15/index15'
				})
			}
			if (screenHeight == 1920 && screenWidth == 1080) {
				uni.redirectTo({
					url: '/pages/index32/index32'
				})
			}
		},
		onHide: function() {
			console.log('App Hide')
		}
	}
</script>

<style>
	/*每个页面公共css */
</style>